summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO18
-rw-r--r--.gitignore3
-rw-r--r--PKGBUILD28
3 files changed, 49 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a43f49d72b1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+# Generated by mksrcinfo v8
+# Tue Dec 15 23:10:04 UTC 2015
+pkgbase = trufont-git
+ pkgver = r321.2ae3efc
+ pkgrel = 1
+ url = https://github.com/trufont/trufont
+ arch = any
+ license = GPL3
+ license = LGPL2.1
+ makedepends = git
+ depends = python-defcon-git
+ depends = python-robofab-git
+ source = git+https://github.com/trufont/trufont.git
+ sha256sums = SKIP
+
+pkgname = trufont-git
+ depends = python-setuptools
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..432f619462a
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,3 @@
+/pkg
+/src
+*.tar.xz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..54ea4210043
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Anselmo L. S. Melo <anselmo.melo@intel.com>
+pkgbasename='trufont'
+pkgname=($pkgbasename'-git')
+pkgver=r321.2ae3efc
+pkgrel=1
+pkgdesc=""
+arch=('any')
+url="https://github.com/trufont/trufont"
+license=('GPL3' 'LGPL2.1')
+makedepends=('git')
+depends=('python-defcon-git' 'python-robofab-git')
+source=("git+https://github.com/trufont/trufont.git")
+sha256sums=('SKIP')
+
+package() {
+ depends=('python-setuptools')
+
+ cd "$srcdir/$pkgbasename"
+ python3 setup.py install --root="$pkgdir/" --optimize=1
+}
+
+pkgver() {
+ cd "$srcdir/$pkgbasename"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}